jvx.loader

## Class PgU3dSrc

- java.lang.Object
- - jv.object.PsObject
  - - jvx.loader.PgU3dSrc

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PgU3dSrc
      extends PsObject

  Container class for U3D geometry
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    09.03.15, 2.00 revised (kp) Moved to jvx.loader from dev.loader.
    24.03.06, 1.00 created (ur)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LIGHT_PALETTE`
    `static boolean` | `m_bIncludePriorityUpdates` Flag to include or exclude priority update blocks.
    `jvx.loader.PsU3dHeaderBlock` | `m_header` Header Block for the file.
    `java.util.Hashtable[]` | `m_palette` Hashtables for the U3D palettes.
    `static int` | `MATERIAL_PALETTE`
    `static int` | `MODEL_PALETTE` Identifiers for Hashtables.
    `static int` | `MOTION_PALETTEE`
    `static int` | `NODE_PALETTE`
    `static int` | `SHADER_PALETTE`
    `static int` | `TEXTURE_PALETTE`
    `static int` | `VIEW_PALETTE`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgU3dSrc()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeFileSize()` Compute size of file and of declaration section, store both in the header block.
    `void` | `write(java.io.DataOutputStream out)` Write a complete U3D File to a given dataOutputStream.

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, init, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### m_palette

          public java.util.Hashtable[] m_palette

      Hashtables for the U3D palettes.

    - #### MODEL_PALETTE

          public static final int MODEL_PALETTE

      Identifiers for Hashtables.
      See Also:
        Constant Field Values

    - #### LIGHT_PALETTE

          public static final int LIGHT_PALETTE

      See Also:
        Constant Field Values

    - #### VIEW_PALETTE

          public static final int VIEW_PALETTE

      See Also:
        Constant Field Values

    - #### TEXTURE_PALETTE

          public static final int TEXTURE_PALETTE

      See Also:
        Constant Field Values

    - #### SHADER_PALETTE

          public static final int SHADER_PALETTE

      See Also:
        Constant Field Values

    - #### MATERIAL_PALETTE

          public static final int MATERIAL_PALETTE

      See Also:
        Constant Field Values

    - #### MOTION_PALETTEE

          public static final int MOTION_PALETTEE

      See Also:
        Constant Field Values

    - #### NODE_PALETTE

          public static final int NODE_PALETTE

      See Also:
        Constant Field Values

    - #### m_header

          public jvx.loader.PsU3dHeaderBlock m_header

      Header Block for the file.

    - #### m_bIncludePriorityUpdates

          public static final boolean m_bIncludePriorityUpdates

      Flag to include or exclude priority update blocks.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PgU3dSrc

          public PgU3dSrc()

      Constructor.

  - ### Method Detail

    - #### write

          public void write(java.io.DataOutputStream out)

      Write a complete U3D File to a given dataOutputStream.

    - #### computeFileSize

          public void computeFileSize()

      Compute size of file and of declaration section, store both in the header block.

"

The software JavaView? is copyright protected. All Rights Reserved.
"